package com.gic.enterprise.web.vo.billing;

import com.gic.finance.constant.InvoiceStatusEnum;

import java.io.Serializable;
import java.util.Date;

/**
 * 已申请开票收据列表
 * @ClassName: InvoiceListVO 
 * @Description:  
 * @author guojuxing 
 * @date 2019/8/16 1:42 PM 
 */
public class InvoiceListVO implements Serializable {
    private static final long serialVersionUID = 62938149871191351L;
    /**
     *
     */
    private Integer invoiceManageId;

    /**
     *
     */
    private Date createTime;
    /**
     * 申请单流水号
     */
    private String invoiceApplySerial;
    /**
     * 开票金额
     */
    private Double billingAmount;
    /**
     * 发票状态 1:待开具 2:待邮寄 3:已邮寄 4:已驳回 5:已取消
     */
    private Integer invoiceStatus;
    /**
     * 发票状态名称
     */
    private String invoiceStatusStr;
    /**
     * 快递公司
     */
    private String expressMailName;

    /**
     * 快递单号
     */
    private String expressMailNumber;

    public Integer getInvoiceManageId() {
        return invoiceManageId;
    }

    public void setInvoiceManageId(Integer invoiceManageId) {
        this.invoiceManageId = invoiceManageId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getInvoiceApplySerial() {
        return invoiceApplySerial;
    }

    public void setInvoiceApplySerial(String invoiceApplySerial) {
        this.invoiceApplySerial = invoiceApplySerial;
    }

    public Double getBillingAmount() {
        return billingAmount;
    }

    public void setBillingAmount(Double billingAmount) {
        this.billingAmount = billingAmount;
    }

    public void setInvoiceStatus(Integer invoiceStatus) {
        this.invoiceStatus = invoiceStatus;
    }

    public String getInvoiceStatusStr() {
        if (invoiceStatus == null) {
            return "--";
        }
        if (InvoiceStatusEnum.TO_BE_ISSUED.getCode() == invoiceStatus.intValue()
                || InvoiceStatusEnum.TO_BE_MAILED.getCode() == invoiceStatus.intValue()) {
            return "申请中";
        }
        if (InvoiceStatusEnum.CANCEL.getCode() == invoiceStatus.intValue()) {
            return InvoiceStatusEnum.CANCEL.getMessage();
        }
        if (InvoiceStatusEnum.REJECT.getCode() == invoiceStatus.intValue()) {
            return "已拒绝";
        }
        if (InvoiceStatusEnum.MAILED.getCode() == invoiceStatus.intValue()) {
            return "已完成";
        }
        return "--";
    }

    public String getExpressMailName() {
        return expressMailName;
    }

    public void setExpressMailName(String expressMailName) {
        this.expressMailName = expressMailName;
    }

    public String getExpressMailNumber() {
        return expressMailNumber;
    }

    public void setExpressMailNumber(String expressMailNumber) {
        this.expressMailNumber = expressMailNumber;
    }
}
